CREATE TABLE IEX_TRX_METRICS_QT (
    Q_NAME               VARCHAR2(128) ,
    MSGID                RAW(16)           PRIMARY KEY,
    CORRID               VARCHAR2(512) ,
    PRIORITY             NUMBER        ,
    STATE                NUMBER        ,
    DELAY                TIMESTAMP(6)  ,
    EXPIRATION           NUMBER        ,
    TIME_MANAGER_INFO    TIMESTAMP(6)  ,
    LOCAL_ORDER_NO       NUMBER        ,
    CHAIN_NO             NUMBER        ,
    CSCN                 NUMBER        ,
    DSCN                 NUMBER        ,
    ENQ_TIME             TIMESTAMP(6)  ,
    ENQ_UID              VARCHAR2(128) ,
    ENQ_TID              VARCHAR2(120) ,
    DEQ_TIME             TIMESTAMP(6)  ,
    DEQ_UID              VARCHAR2(128) ,
    DEQ_TID              VARCHAR2(120) ,
    RETRY_COUNT          NUMBER        ,
    EXCEPTION_QSCHEMA    VARCHAR2(128) ,
    EXCEPTION_QUEUE      VARCHAR2(128) ,
    STEP_NO              NUMBER        ,
    RECIPIENT_KEY        NUMBER        ,
    DEQUEUE_MSGID        RAW(16)       ,
    SENDER_NAME          VARCHAR2(128) ,
    SENDER_ADDRESS       VARCHAR2(4000),
    SENDER_PROTOCOL      NUMBER        ,
    USER_DATA            VARCHAR2(4000),
    USER_PROP            VARCHAR2(4000)
);
